unit NewMap;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls;

type
  TFormNewMap = class(TForm)
    EdWidth: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    EdHeight: TEdit;
    tiles: TLabel;
    Tileset: TLabel;
    EdTlrPath: TEdit;
    BtBrowse: TButton;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    DlgOpen: TOpenDialog;
    procedure BtBrowseClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    ResWidth, ResHeight: Integer;
    { Public declarations }
  end;

var
  FormNewMap: TFormNewMap;

implementation

{$R *.dfm}

procedure TFormNewMap.BtBrowseClick(Sender: TObject);
begin
  if DlgOpen.Execute then
    EdTlrPath.Text := DlgOpen.FileName;
end;

procedure TFormNewMap.BitBtn1Click(Sender: TObject);
begin
  try
    ResWidth := StrToInt(EdWidth.Text);
    ResHeight := StrToInt(EdHeight.Text);
  except
    ShowMessage('Invalid integer value!');
    Exit;
  end;
  if not FileExists(EdTlrPath.Text) then
  begin
    ShowMessage('Tlr file does not exists!');
    Exit;
  end;
end;

end.
